> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List executions



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/executions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/executions:
    get:
      tags:
        - Executions API
      summary: List executions
      operationId: list_executions_endpoint_api_v1_org_executions_get
      parameters:
        - in: query
          name: cluster_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Cluster Id
        - in: query
          name: scope
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ExecutionScope'
              - type: 'null'
            title: Scope
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Status
        - in: query
          name: target_resource_kind
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Target Resource Kind
        - in: query
          name: target_resource_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Target Resource Id
        - in: query
          name: include_internal_executions
          required: false
          schema:
            default: false
            title: Include Internal Executions
            type: boolean
        - in: query
          name: include_silent_reconciles
          required: false
          schema:
            default: false
            title: Include Silent Reconciles
            type: boolean
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionListResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ExecutionScope:
      enum:
        - cluster
        - platform
      title: ExecutionScope
      type: string
    ExecutionListResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/ExecutionPagination'
        result:
          items:
            $ref: '#/components/schemas/ExecutionSummary'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ExecutionListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExecutionPagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: ExecutionPagination
      type: object
    ExecutionSummary:
      properties:
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        display_name:
          title: Display Name
          type: string
        error_excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Excerpt
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        outcome:
          anyOf:
            - $ref: '#/components/schemas/ExecutionOutcome'
            - type: 'null'
        scope:
          $ref: '#/components/schemas/ExecutionScope'
        status:
          $ref: '#/components/schemas/OperationStatus'
        step_summary:
          $ref: '#/components/schemas/StepSummary'
        type:
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - scope
        - organisation_id
        - name
        - display_name
        - type
        - status
      title: ExecutionSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ExecutionOutcome:
      enum:
        - unknown
        - noop
        - mutated
        - failed
        - cancelled
      title: ExecutionOutcome
      type: string
    OperationStatus:
      enum:
        - running
        - stopping
        - success
        - cleanup
        - failed
        - critical
        - cancelled
      title: OperationStatus
      type: string
    StepSummary:
      properties:
        failed:
          default: 0
          title: Failed
          type: integer
        pending:
          default: 0
          title: Pending
          type: integer
        running:
          default: 0
          title: Running
          type: integer
        succeeded:
          default: 0
          title: Succeeded
          type: integer
        total:
          default: 0
          title: Total
          type: integer
      title: StepSummary
      type: object

````